#pragma once
#include <map>
struct M_ActivityLuckyBagCFGData
{
	//编号
	int mID;
	//购买次数
	int mCount;
	//道具ID
	int mItemId;
	//道具数量
	int mItemNumber;
	//礼包id
	int mRechangId;
};

class M_ActivityLuckyBagCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyBagCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyBagCFGData* GetData(int ID);
	const std::map<int, M_ActivityLuckyBagCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityLuckyBagCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityLuckyBagCFGData> mMapData;
};
